#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_atomic_helper_check_modeset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_wb_connector_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_plane_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_crtc_primary_plane, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check, "", "");
KSYMTAB_FUNC(drm_atomic_helper_update_legacy_modeset_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_calc_timestamping_constants, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_modeset_disables, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_modeset_enables, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_fences, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_vblanks, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_flip_done, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_tail, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_tail_rpm, "", "");
KSYMTAB_FUNC(drm_atomic_helper_async_check, "", "");
KSYMTAB_FUNC(drm_atomic_helper_async_commit, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit, "", "");
KSYMTAB_FUNC(drm_atomic_helper_setup_commit, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_dependencies, "", "");
KSYMTAB_FUNC(drm_atomic_helper_fake_vblank, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_hw_done, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_cleanup_done, "", "");
KSYMTAB_FUNC(drm_atomic_helper_prepare_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_unprepare_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_planes_on_crtc, "", "");
KSYMTAB_FUNC(drm_atomic_helper_disable_planes_on_crtc, "", "");
KSYMTAB_FUNC(drm_atomic_helper_cleanup_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_swap_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_update_plane, "", "");
KSYMTAB_FUNC(drm_atomic_helper_disable_plane, "", "");
KSYMTAB_FUNC(drm_atomic_helper_set_config, "", "");
KSYMTAB_FUNC(drm_atomic_helper_disable_all, "", "");
KSYMTAB_FUNC(drm_atomic_helper_shutdown, "", "");
KSYMTAB_FUNC(drm_atomic_helper_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_suspend, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_duplicated_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_resume, "", "");
KSYMTAB_FUNC(drm_atomic_helper_page_flip, "", "");
KSYMTAB_FUNC(drm_atomic_helper_page_flip_target, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_propagate_bus_fmt, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_state_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_crtc_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_crtc_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_destroy_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_crtc_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_state_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_plane_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_plane_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_destroy_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_plane_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_state_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_tv_margins_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_tv_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_tv_check, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_destroy_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_private_obj_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_bridge_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_bridge_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_reset, "", "");
KSYMTAB_FUNC(drm_bridge_connector_init, "_gpl", "");
KSYMTAB_FUNC(drm_helper_encoder_in_use, "", "");
KSYMTAB_FUNC(drm_helper_crtc_in_use, "", "");
KSYMTAB_FUNC(drm_helper_disable_unused_functions, "", "");
KSYMTAB_FUNC(drm_crtc_helper_set_mode, "", "");
KSYMTAB_FUNC(drm_crtc_helper_atomic_check, "", "");
KSYMTAB_FUNC(drm_crtc_helper_set_config, "", "");
KSYMTAB_FUNC(drm_helper_connector_dpms, "", "");
KSYMTAB_FUNC(drm_helper_resume_force_mode, "", "");
KSYMTAB_FUNC(drm_helper_force_disable_all, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_plane_damage, "", "");
KSYMTAB_FUNC(drm_atomic_helper_dirtyfb, "", "");
KSYMTAB_FUNC(drm_atomic_helper_damage_iter_init, "", "");
KSYMTAB_FUNC(drm_atomic_helper_damage_iter_next, "", "");
KSYMTAB_FUNC(drm_atomic_helper_damage_merged, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_init, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_destroy, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_dpms, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_mode_fixup, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_prepare, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_commit, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_mode_set, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_detect, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_save, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_restore, "", "");
KSYMTAB_FUNC(drm_flip_work_queue, "", "");
KSYMTAB_FUNC(drm_flip_work_commit, "", "");
KSYMTAB_FUNC(drm_flip_work_init, "", "");
KSYMTAB_FUNC(drm_flip_work_cleanup, "", "");
KSYMTAB_FUNC(drm_format_conv_state_init, "", "");
KSYMTAB_FUNC(drm_format_conv_state_copy, "", "");
KSYMTAB_FUNC(drm_format_conv_state_reserve, "", "");
KSYMTAB_FUNC(drm_format_conv_state_release, "", "");
KSYMTAB_FUNC(drm_fb_clip_offset, "", "");
KSYMTAB_FUNC(drm_fb_memcpy, "", "");
KSYMTAB_FUNC(drm_fb_swab, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgb332, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgb565, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_xrgb1555, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_argb1555, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgba5551, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgb888, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_argb8888, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_xrgb2101010, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_argb2101010, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_gray8, "", "");
KSYMTAB_FUNC(drm_fb_blit, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_mono, "", "");
KSYMTAB_FUNC(drm_fb_build_fourcc_list, "", "");
KSYMTAB_FUNC(drm_gem_plane_helper_prepare_fb, "_gpl", "");
KSYMTAB_FUNC(__drm_gem_duplicate_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_duplicate_shadow_plane_state, "", "");
KSYMTAB_FUNC(__drm_gem_destroy_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_destroy_shadow_plane_state, "", "");
KSYMTAB_FUNC(__drm_gem_reset_shadow_plane, "", "");
KSYMTAB_FUNC(drm_gem_reset_shadow_plane, "", "");
KSYMTAB_FUNC(drm_gem_begin_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_end_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_begin_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_end_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_reset_shadow_plane, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_duplicate_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_destroy_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_fb_get_obj, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_destroy, "", "");
KSYMTAB_FUNC(drm_gem_fb_create_handle, "", "");
KSYMTAB_FUNC(drm_gem_fb_init_with_funcs, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_create_with_funcs, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_create, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_create_with_dirty, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_vmap, "", "");
KSYMTAB_FUNC(drm_gem_fb_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_fb_begin_cpu_access, "", "");
KSYMTAB_FUNC(drm_gem_fb_end_cpu_access, "", "");
KSYMTAB_FUNC(drm_gem_fb_afbc_init, "_gpl", "");
KSYMTAB_FUNC(drm_helper_move_panel_connectors_to_head, "", "");
KSYMTAB_FUNC(drm_helper_mode_fill_fb_struct, "", "");
KSYMTAB_FUNC(drm_crtc_init, "", "");
KSYMTAB_FUNC(drm_mode_config_helper_suspend, "", "");
KSYMTAB_FUNC(drm_mode_config_helper_resume, "", "");
KSYMTAB_FUNC(drm_plane_helper_update_primary, "", "");
KSYMTAB_FUNC(drm_plane_helper_disable_primary, "", "");
KSYMTAB_FUNC(drm_plane_helper_destroy, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_enable, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_reschedule, "", "");
KSYMTAB_FUNC(drm_helper_probe_detect, "", "");
KSYMTAB_FUNC(drm_helper_probe_single_connector_modes, "", "");
KSYMTAB_FUNC(drm_kms_helper_hotplug_event, "", "");
KSYMTAB_FUNC(drm_kms_helper_connector_hotplug_event, "", "");
KSYMTAB_FUNC(drm_kms_helper_is_poll_worker, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_disable, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_init, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_fini, "", "");
KSYMTAB_FUNC(drm_connector_helper_hpd_irq_event, "", "");
KSYMTAB_FUNC(drm_helper_hpd_irq_event, "", "");
KSYMTAB_FUNC(drm_crtc_helper_mode_valid_fixed, "", "");
KSYMTAB_FUNC(drm_connector_helper_get_modes_fixed, "", "");
KSYMTAB_FUNC(drm_connector_helper_get_modes, "", "");
KSYMTAB_FUNC(drm_connector_helper_tv_get_modes, "", "");
KSYMTAB_FUNC(drm_rect_intersect, "", "");
KSYMTAB_FUNC(drm_rect_clip_scaled, "", "");
KSYMTAB_FUNC(drm_rect_calc_hscale, "", "");
KSYMTAB_FUNC(drm_rect_calc_vscale, "", "");
KSYMTAB_FUNC(drm_rect_debug_print, "", "");
KSYMTAB_FUNC(drm_rect_rotate, "", "");
KSYMTAB_FUNC(drm_rect_rotate_inv, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_update_avg_times, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_alter_state, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_init, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_cleanup, "", "");
KSYMTAB_FUNC(drm_simple_encoder_init, "", "");
KSYMTAB_FUNC(__drmm_simple_encoder_alloc, "", "");
KSYMTAB_FUNC(drm_simple_display_pipe_attach_bridge, "", "");
KSYMTAB_FUNC(drm_simple_display_pipe_init, "", "");
KSYMTAB_FUNC(drm_bridge_is_panel, "", "");
KSYMTAB_FUNC(drm_panel_bridge_add, "", "");
KSYMTAB_FUNC(drm_panel_bridge_add_typed, "", "");
KSYMTAB_FUNC(drm_panel_bridge_remove, "", "");
KSYMTAB_FUNC(drm_panel_bridge_set_orientation, "", "");
KSYMTAB_FUNC(devm_drm_panel_bridge_add, "", "");
KSYMTAB_FUNC(devm_drm_panel_bridge_add_typed, "", "");
KSYMTAB_FUNC(drmm_panel_bridge_add, "", "");
KSYMTAB_FUNC(drm_panel_bridge_connector, "", "");
KSYMTAB_FUNC(drm_fbdev_generic_setup, "", "");
KSYMTAB_FUNC(drm_fb_helper_debug_enter, "", "");
KSYMTAB_FUNC(drm_fb_helper_debug_leave, "", "");
KSYMTAB_FUNC(drm_fb_helper_restore_fbdev_mode_unlocked, "", "");
KSYMTAB_FUNC(drm_fb_helper_blank, "", "");
KSYMTAB_FUNC(drm_fb_helper_prepare, "", "");
KSYMTAB_FUNC(drm_fb_helper_unprepare, "", "");
KSYMTAB_FUNC(drm_fb_helper_init, "", "");
KSYMTAB_FUNC(drm_fb_helper_alloc_info, "", "");
KSYMTAB_FUNC(drm_fb_helper_release_info, "", "");
KSYMTAB_FUNC(drm_fb_helper_unregister_info, "", "");
KSYMTAB_FUNC(drm_fb_helper_fini, "", "");
KSYMTAB_FUNC(drm_fb_helper_damage_range, "", "");
KSYMTAB_FUNC(drm_fb_helper_damage_area, "", "");
KSYMTAB_FUNC(drm_fb_helper_deferred_io, "", "");
KSYMTAB_FUNC(drm_fb_helper_set_suspend, "", "");
KSYMTAB_FUNC(drm_fb_helper_set_suspend_unlocked, "", "");
KSYMTAB_FUNC(drm_fb_helper_setcmap, "", "");
KSYMTAB_FUNC(drm_fb_helper_ioctl, "", "");
KSYMTAB_FUNC(drm_fb_helper_check_var, "", "");
KSYMTAB_FUNC(drm_fb_helper_set_par, "", "");
KSYMTAB_FUNC(drm_fb_helper_pan_display, "", "");
KSYMTAB_FUNC(drm_fb_helper_fill_info, "", "");
KSYMTAB_FUNC(drm_fb_helper_initial_config, "", "");
KSYMTAB_FUNC(drm_fb_helper_hotplug_event, "", "");
KSYMTAB_FUNC(drm_fb_helper_lastclose, "", "");
KSYMTAB_FUNC(drm_fb_helper_output_poll_changed, "", "");

SYMBOL_CRC(drm_atomic_helper_check_modeset, 0x8da7fa59, "");
SYMBOL_CRC(drm_atomic_helper_check_wb_connector_state, 0xb011a5f4, "");
SYMBOL_CRC(drm_atomic_helper_check_plane_state, 0x701db6b4, "");
SYMBOL_CRC(drm_atomic_helper_check_crtc_primary_plane, 0x14e1ba3f, "");
SYMBOL_CRC(drm_atomic_helper_check_planes, 0x38de3891, "");
SYMBOL_CRC(drm_atomic_helper_check, 0xb04d27f8, "");
SYMBOL_CRC(drm_atomic_helper_update_legacy_modeset_state, 0x4044cc87, "");
SYMBOL_CRC(drm_atomic_helper_calc_timestamping_constants, 0x663b12c2, "");
SYMBOL_CRC(drm_atomic_helper_commit_modeset_disables, 0xdebebc4e, "");
SYMBOL_CRC(drm_atomic_helper_commit_modeset_enables, 0xc4f60763, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_fences, 0xbd81f38d, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_vblanks, 0x255cb71e, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_flip_done, 0xfe95ee15, "");
SYMBOL_CRC(drm_atomic_helper_commit_tail, 0x6c3ae8cb, "");
SYMBOL_CRC(drm_atomic_helper_commit_tail_rpm, 0x8d2de6e0, "");
SYMBOL_CRC(drm_atomic_helper_async_check, 0x3042ecf2, "");
SYMBOL_CRC(drm_atomic_helper_async_commit, 0x20d528ee, "");
SYMBOL_CRC(drm_atomic_helper_commit, 0xfabf2ff9, "");
SYMBOL_CRC(drm_atomic_helper_setup_commit, 0x6a022b93, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_dependencies, 0x6235982a, "");
SYMBOL_CRC(drm_atomic_helper_fake_vblank, 0x7c180538, "");
SYMBOL_CRC(drm_atomic_helper_commit_hw_done, 0x6f7c17fe, "");
SYMBOL_CRC(drm_atomic_helper_commit_cleanup_done, 0x3a19d23c, "");
SYMBOL_CRC(drm_atomic_helper_prepare_planes, 0x588e9b56, "");
SYMBOL_CRC(drm_atomic_helper_unprepare_planes, 0xde4bb840, "");
SYMBOL_CRC(drm_atomic_helper_commit_planes, 0x52380061, "");
SYMBOL_CRC(drm_atomic_helper_commit_planes_on_crtc, 0x70dbd633, "");
SYMBOL_CRC(drm_atomic_helper_disable_planes_on_crtc, 0x232cc034, "");
SYMBOL_CRC(drm_atomic_helper_cleanup_planes, 0x6223fcf5, "");
SYMBOL_CRC(drm_atomic_helper_swap_state, 0xa2f0697d, "");
SYMBOL_CRC(drm_atomic_helper_update_plane, 0x1d3c7ed9, "");
SYMBOL_CRC(drm_atomic_helper_disable_plane, 0x1cf2439c, "");
SYMBOL_CRC(drm_atomic_helper_set_config, 0xc29ac8be, "");
SYMBOL_CRC(drm_atomic_helper_disable_all, 0xd53acc95, "");
SYMBOL_CRC(drm_atomic_helper_shutdown, 0xf5c07be1, "");
SYMBOL_CRC(drm_atomic_helper_duplicate_state, 0x4100a546, "");
SYMBOL_CRC(drm_atomic_helper_suspend, 0xb088ee27, "");
SYMBOL_CRC(drm_atomic_helper_commit_duplicated_state, 0xa9275828, "");
SYMBOL_CRC(drm_atomic_helper_resume, 0xa4dc7c01, "");
SYMBOL_CRC(drm_atomic_helper_page_flip, 0x2f07910e, "");
SYMBOL_CRC(drm_atomic_helper_page_flip_target, 0xdaa87516, "");
SYMBOL_CRC(drm_atomic_helper_bridge_propagate_bus_fmt, 0x03017a99, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_state_reset, 0xc626b68a, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_reset, 0x731beb66, "");
SYMBOL_CRC(drm_atomic_helper_crtc_reset, 0x3f36ba8c, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_duplicate_state, 0xfab87e11, "");
SYMBOL_CRC(drm_atomic_helper_crtc_duplicate_state, 0x2cc8f1c7, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_destroy_state, 0x6d5d3530, "");
SYMBOL_CRC(drm_atomic_helper_crtc_destroy_state, 0x629c26ad, "");
SYMBOL_CRC(__drm_atomic_helper_plane_state_reset, 0x2bbb21d4, "");
SYMBOL_CRC(__drm_atomic_helper_plane_reset, 0x1b4f5027, "");
SYMBOL_CRC(drm_atomic_helper_plane_reset, 0xacdd6f59, "");
SYMBOL_CRC(__drm_atomic_helper_plane_duplicate_state, 0xb3cb59b0, "");
SYMBOL_CRC(drm_atomic_helper_plane_duplicate_state, 0xd0435b92, "");
SYMBOL_CRC(__drm_atomic_helper_plane_destroy_state, 0x5a65b69c, "");
SYMBOL_CRC(drm_atomic_helper_plane_destroy_state, 0x891f919d, "");
SYMBOL_CRC(__drm_atomic_helper_connector_state_reset, 0x9e59d3c7, "");
SYMBOL_CRC(__drm_atomic_helper_connector_reset, 0xfd46d308, "");
SYMBOL_CRC(drm_atomic_helper_connector_reset, 0x52a0dd43, "");
SYMBOL_CRC(drm_atomic_helper_connector_tv_margins_reset, 0x997eda96, "");
SYMBOL_CRC(drm_atomic_helper_connector_tv_reset, 0xca799c4d, "");
SYMBOL_CRC(drm_atomic_helper_connector_tv_check, 0x0ac52253, "");
SYMBOL_CRC(__drm_atomic_helper_connector_duplicate_state, 0xfea506ec, "");
SYMBOL_CRC(drm_atomic_helper_connector_duplicate_state, 0x1b40ba8d, "");
SYMBOL_CRC(__drm_atomic_helper_connector_destroy_state, 0x96e69b3e, "");
SYMBOL_CRC(drm_atomic_helper_connector_destroy_state, 0x965a0994, "");
SYMBOL_CRC(__drm_atomic_helper_private_obj_duplicate_state, 0x272a3456, "");
SYMBOL_CRC(__drm_atomic_helper_bridge_duplicate_state, 0xf2d34ef4, "");
SYMBOL_CRC(drm_atomic_helper_bridge_duplicate_state, 0x4a89f007, "");
SYMBOL_CRC(drm_atomic_helper_bridge_destroy_state, 0xc26fec24, "");
SYMBOL_CRC(__drm_atomic_helper_bridge_reset, 0x952e82a9, "");
SYMBOL_CRC(drm_atomic_helper_bridge_reset, 0x17427000, "");
SYMBOL_CRC(drm_bridge_connector_init, 0xf91eb113, "_gpl");
SYMBOL_CRC(drm_helper_encoder_in_use, 0xb6b3ad3b, "");
SYMBOL_CRC(drm_helper_crtc_in_use, 0x789aa897, "");
SYMBOL_CRC(drm_helper_disable_unused_functions, 0x26e6d44e, "");
SYMBOL_CRC(drm_crtc_helper_set_mode, 0xd32723c6, "");
SYMBOL_CRC(drm_crtc_helper_atomic_check, 0x6213a89b, "");
SYMBOL_CRC(drm_crtc_helper_set_config, 0xc9032711, "");
SYMBOL_CRC(drm_helper_connector_dpms, 0x04934018, "");
SYMBOL_CRC(drm_helper_resume_force_mode, 0x097e7482, "");
SYMBOL_CRC(drm_helper_force_disable_all, 0x88d5ca1c, "");
SYMBOL_CRC(drm_atomic_helper_check_plane_damage, 0x39e62117, "");
SYMBOL_CRC(drm_atomic_helper_dirtyfb, 0xc226b440, "");
SYMBOL_CRC(drm_atomic_helper_damage_iter_init, 0x063d7003, "");
SYMBOL_CRC(drm_atomic_helper_damage_iter_next, 0x6b5c2b06, "");
SYMBOL_CRC(drm_atomic_helper_damage_merged, 0x782eaeed, "");
SYMBOL_CRC(drm_i2c_encoder_init, 0xf7f2a511, "");
SYMBOL_CRC(drm_i2c_encoder_destroy, 0x3c53517b, "");
SYMBOL_CRC(drm_i2c_encoder_dpms, 0xeabd10d3, "");
SYMBOL_CRC(drm_i2c_encoder_mode_fixup, 0x425d0304, "");
SYMBOL_CRC(drm_i2c_encoder_prepare, 0x42fca4f1, "");
SYMBOL_CRC(drm_i2c_encoder_commit, 0xf2255d32, "");
SYMBOL_CRC(drm_i2c_encoder_mode_set, 0xfb11a1c8, "");
SYMBOL_CRC(drm_i2c_encoder_detect, 0x310422c5, "");
SYMBOL_CRC(drm_i2c_encoder_save, 0xe742eee0, "");
SYMBOL_CRC(drm_i2c_encoder_restore, 0x2483daa4, "");
SYMBOL_CRC(drm_flip_work_queue, 0x7964f9dc, "");
SYMBOL_CRC(drm_flip_work_commit, 0xc460392a, "");
SYMBOL_CRC(drm_flip_work_init, 0x93cec5c7, "");
SYMBOL_CRC(drm_flip_work_cleanup, 0x5aa2b037, "");
SYMBOL_CRC(drm_format_conv_state_init, 0x29c6141b, "");
SYMBOL_CRC(drm_format_conv_state_copy, 0xface4acd, "");
SYMBOL_CRC(drm_format_conv_state_reserve, 0xd09bd550, "");
SYMBOL_CRC(drm_format_conv_state_release, 0xd68515a0, "");
SYMBOL_CRC(drm_fb_clip_offset, 0xb6a6b711, "");
SYMBOL_CRC(drm_fb_memcpy, 0x76954aba, "");
SYMBOL_CRC(drm_fb_swab, 0x5996879a, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgb332, 0x3634f08a, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgb565, 0xbc1ee8a2, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_xrgb1555, 0x9c8feaf1, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_argb1555, 0xe59264cf, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgba5551, 0xdf38e5e4, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgb888, 0xc3425298, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_argb8888, 0x8db2cff3, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_xrgb2101010, 0x4f26fecb, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_argb2101010, 0xa7d5ef34, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_gray8, 0x256ae6af, "");
SYMBOL_CRC(drm_fb_blit, 0x49092af5, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_mono, 0xfa2e8e46, "");
SYMBOL_CRC(drm_fb_build_fourcc_list, 0x16cf07a9, "");
SYMBOL_CRC(drm_gem_plane_helper_prepare_fb, 0x68617630, "_gpl");
SYMBOL_CRC(__drm_gem_duplicate_shadow_plane_state, 0x4ecccfe3, "");
SYMBOL_CRC(drm_gem_duplicate_shadow_plane_state, 0xa5ed0e91, "");
SYMBOL_CRC(__drm_gem_destroy_shadow_plane_state, 0x24002bda, "");
SYMBOL_CRC(drm_gem_destroy_shadow_plane_state, 0x79b7b894, "");
SYMBOL_CRC(__drm_gem_reset_shadow_plane, 0xdc17093e, "");
SYMBOL_CRC(drm_gem_reset_shadow_plane, 0x50ee24f9, "");
SYMBOL_CRC(drm_gem_begin_shadow_fb_access, 0x88ca0be6, "");
SYMBOL_CRC(drm_gem_end_shadow_fb_access, 0xd6ed1ba6, "");
SYMBOL_CRC(drm_gem_simple_kms_begin_shadow_fb_access, 0x8d95ca4f, "");
SYMBOL_CRC(drm_gem_simple_kms_end_shadow_fb_access, 0x046ab9ec, "");
SYMBOL_CRC(drm_gem_simple_kms_reset_shadow_plane, 0x88e56b4f, "");
SYMBOL_CRC(drm_gem_simple_kms_duplicate_shadow_plane_state, 0xea575c42, "");
SYMBOL_CRC(drm_gem_simple_kms_destroy_shadow_plane_state, 0x7efaadf4, "");
SYMBOL_CRC(drm_gem_fb_get_obj, 0x814c51d8, "_gpl");
SYMBOL_CRC(drm_gem_fb_destroy, 0x3d42121b, "");
SYMBOL_CRC(drm_gem_fb_create_handle, 0x2ef0a7ec, "");
SYMBOL_CRC(drm_gem_fb_init_with_funcs, 0xe1f2e65f, "_gpl");
SYMBOL_CRC(drm_gem_fb_create_with_funcs, 0x62856dac, "_gpl");
SYMBOL_CRC(drm_gem_fb_create, 0xf34812a8, "_gpl");
SYMBOL_CRC(drm_gem_fb_create_with_dirty, 0x5e501fd7, "_gpl");
SYMBOL_CRC(drm_gem_fb_vmap, 0x3ad0be36, "");
SYMBOL_CRC(drm_gem_fb_vunmap, 0x2a806c17, "");
SYMBOL_CRC(drm_gem_fb_begin_cpu_access, 0x74483b39, "");
SYMBOL_CRC(drm_gem_fb_end_cpu_access, 0x014f5a09, "");
SYMBOL_CRC(drm_gem_fb_afbc_init, 0xee0b26df, "_gpl");
SYMBOL_CRC(drm_helper_move_panel_connectors_to_head, 0xca977870, "");
SYMBOL_CRC(drm_helper_mode_fill_fb_struct, 0x131d9787, "");
SYMBOL_CRC(drm_crtc_init, 0xd1bc7f84, "");
SYMBOL_CRC(drm_mode_config_helper_suspend, 0x88fc79e2, "");
SYMBOL_CRC(drm_mode_config_helper_resume, 0x6a853f9b, "");
SYMBOL_CRC(drm_plane_helper_update_primary, 0xf0fd0f19, "");
SYMBOL_CRC(drm_plane_helper_disable_primary, 0x9be8e432, "");
SYMBOL_CRC(drm_plane_helper_destroy, 0xf10c6d3d, "");
SYMBOL_CRC(drm_kms_helper_poll_enable, 0xeab9016a, "");
SYMBOL_CRC(drm_kms_helper_poll_reschedule, 0x5bf4e89e, "");
SYMBOL_CRC(drm_helper_probe_detect, 0xee50ff24, "");
SYMBOL_CRC(drm_helper_probe_single_connector_modes, 0x18470f59, "");
SYMBOL_CRC(drm_kms_helper_hotplug_event, 0x3e8f9c71, "");
SYMBOL_CRC(drm_kms_helper_connector_hotplug_event, 0xa652683a, "");
SYMBOL_CRC(drm_kms_helper_is_poll_worker, 0x5a4734d1, "");
SYMBOL_CRC(drm_kms_helper_poll_disable, 0xd9b222e7, "");
SYMBOL_CRC(drm_kms_helper_poll_init, 0x2dbd4fd3, "");
SYMBOL_CRC(drm_kms_helper_poll_fini, 0x14ff9c9b, "");
SYMBOL_CRC(drm_connector_helper_hpd_irq_event, 0xdf515d12, "");
SYMBOL_CRC(drm_helper_hpd_irq_event, 0xb769fd53, "");
SYMBOL_CRC(drm_crtc_helper_mode_valid_fixed, 0xbb56b635, "");
SYMBOL_CRC(drm_connector_helper_get_modes_fixed, 0x2393e368, "");
SYMBOL_CRC(drm_connector_helper_get_modes, 0xd12ea9e4, "");
SYMBOL_CRC(drm_connector_helper_tv_get_modes, 0x8b1e362d, "");
SYMBOL_CRC(drm_rect_intersect, 0x871ab41a, "");
SYMBOL_CRC(drm_rect_clip_scaled, 0x99fd20aa, "");
SYMBOL_CRC(drm_rect_calc_hscale, 0x2d50570f, "");
SYMBOL_CRC(drm_rect_calc_vscale, 0x91fec1cc, "");
SYMBOL_CRC(drm_rect_debug_print, 0xcb2340b8, "");
SYMBOL_CRC(drm_rect_rotate, 0xb053adda, "");
SYMBOL_CRC(drm_rect_rotate_inv, 0x6e30ba8e, "");
SYMBOL_CRC(drm_self_refresh_helper_update_avg_times, 0xddbecb97, "");
SYMBOL_CRC(drm_self_refresh_helper_alter_state, 0x9db23764, "");
SYMBOL_CRC(drm_self_refresh_helper_init, 0x537802c5, "");
SYMBOL_CRC(drm_self_refresh_helper_cleanup, 0x6bee25e8, "");
SYMBOL_CRC(drm_simple_encoder_init, 0xa432153d, "");
SYMBOL_CRC(__drmm_simple_encoder_alloc, 0x56c674ed, "");
SYMBOL_CRC(drm_simple_display_pipe_attach_bridge, 0x9aa0a0cd, "");
SYMBOL_CRC(drm_simple_display_pipe_init, 0x65e3d20a, "");
SYMBOL_CRC(drm_bridge_is_panel, 0x62e6dd24, "");
SYMBOL_CRC(drm_panel_bridge_add, 0xda4f82d7, "");
SYMBOL_CRC(drm_panel_bridge_add_typed, 0x88a71a7c, "");
SYMBOL_CRC(drm_panel_bridge_remove, 0x4ff89718, "");
SYMBOL_CRC(drm_panel_bridge_set_orientation, 0xf3b5bfb5, "");
SYMBOL_CRC(devm_drm_panel_bridge_add, 0x60abac2c, "");
SYMBOL_CRC(devm_drm_panel_bridge_add_typed, 0xdd64360e, "");
SYMBOL_CRC(drmm_panel_bridge_add, 0x6f5f9797, "");
SYMBOL_CRC(drm_panel_bridge_connector, 0xfa8e1f99, "");
SYMBOL_CRC(drm_fbdev_generic_setup, 0xa9ac66b6, "");
SYMBOL_CRC(drm_fb_helper_debug_enter, 0xeac9fd3a, "");
SYMBOL_CRC(drm_fb_helper_debug_leave, 0x40376c15, "");
SYMBOL_CRC(drm_fb_helper_restore_fbdev_mode_unlocked, 0x2c0a0b99, "");
SYMBOL_CRC(drm_fb_helper_blank, 0xfba24399, "");
SYMBOL_CRC(drm_fb_helper_prepare, 0x5d130062, "");
SYMBOL_CRC(drm_fb_helper_unprepare, 0x2cc0a756, "");
SYMBOL_CRC(drm_fb_helper_init, 0xac7a83ab, "");
SYMBOL_CRC(drm_fb_helper_alloc_info, 0x49b10583, "");
SYMBOL_CRC(drm_fb_helper_release_info, 0xeb50afba, "");
SYMBOL_CRC(drm_fb_helper_unregister_info, 0xf94dca5a, "");
SYMBOL_CRC(drm_fb_helper_fini, 0x36180975, "");
SYMBOL_CRC(drm_fb_helper_damage_range, 0x61986645, "");
SYMBOL_CRC(drm_fb_helper_damage_area, 0x120cf990, "");
SYMBOL_CRC(drm_fb_helper_deferred_io, 0xe6b5536b, "");
SYMBOL_CRC(drm_fb_helper_set_suspend, 0xd90a5322, "");
SYMBOL_CRC(drm_fb_helper_set_suspend_unlocked, 0x5c007397, "");
SYMBOL_CRC(drm_fb_helper_setcmap, 0x8e078b95, "");
SYMBOL_CRC(drm_fb_helper_ioctl, 0x417d6f29, "");
SYMBOL_CRC(drm_fb_helper_check_var, 0x8db70dea, "");
SYMBOL_CRC(drm_fb_helper_set_par, 0x832604a5, "");
SYMBOL_CRC(drm_fb_helper_pan_display, 0x9aaef0c7, "");
SYMBOL_CRC(drm_fb_helper_fill_info, 0xe8fa480b, "");
SYMBOL_CRC(drm_fb_helper_initial_config, 0xe55c2af5, "");
SYMBOL_CRC(drm_fb_helper_hotplug_event, 0x94a55da0, "");
SYMBOL_CRC(drm_fb_helper_lastclose, 0x79199046, "");
SYMBOL_CRC(drm_fb_helper_output_poll_changed, 0xe5ab197d, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8468a1d3, "unregister_framebuffer" },
	{ 0xd085c683, "drm_atomic_get_old_crtc_for_encoder" },
	{ 0x2a347ca5, "drm_framebuffer_cleanup" },
	{ 0x7e3277f8, "___drm_dbg" },
	{ 0x223f8c87, "drm_client_register" },
	{ 0xb268d867, "drm_writeback_prepare_job" },
	{ 0xf1b5340a, "drm_mode_vrefresh" },
	{ 0xff7ad1b5, "krealloc" },
	{ 0x30baefbb, "drm_panel_get_modes" },
	{ 0x841432c7, "drm_gem_vmap_unlocked" },
	{ 0x3400247f, "try_module_get" },
	{ 0xdb10faa5, "drm_connector_list_update" },
	{ 0x8ac3d016, "drm_bridge_add" },
	{ 0xff3565e4, "drm_bridge_chain_mode_valid" },
	{ 0x29f078d1, "drm_mode_legacy_fb_format" },
	{ 0x529f1e79, "unregister_sysrq_key" },
	{ 0x27b2b706, "drm_connector_register" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0xff8b56a9, "wait_for_completion_timeout" },
	{ 0x604aba29, "devm_kmalloc" },
	{ 0x69adc3d8, "drm_client_rotation" },
	{ 0x61bb7a7a, "drm_client_buffer_vmap" },
	{ 0x46b15ac4, "drm_panel_enable" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x9ac8f28e, "drm_framebuffer_init" },
	{ 0x5bc24824, "drm_mode_validate_driver" },
	{ 0xcc82a2c4, "drm_atomic_add_affected_planes" },
	{ 0x5c9d09b7, "dma_buf_end_cpu_access" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x5baee462, "drm_modeset_unlock_all" },
	{ 0x98de1c15, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xea6f05a3, "drm_mode_probed_add" },
	{ 0x84001e0e, "drm_atomic_add_affected_connectors" },
	{ 0x1c9485b3, "drm_gem_vunmap_unlocked" },
	{ 0xe31b7b62, "drm_bridge_hpd_enable" },
	{ 0x7fe2c66f, "drm_crtc_vblank_count" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0xe66be61, "drm_modeset_lock_all" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xf0d8f49d, "drm_client_framebuffer_delete" },
	{ 0xd9b4753, "drm_mode_equal" },
	{ 0x45e7547c, "drm_client_framebuffer_create" },
	{ 0x1e41c5f4, "drm_atomic_bridge_chain_enable" },
	{ 0x397c3d27, "drm_edid_free" },
	{ 0x218ef5c5, "drm_mode_object_get" },
	{ 0x4311a958, "drm_edid_override_connector_update" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xb9cad492, "__drm_atomic_state_free" },
	{ 0xb98d2eb2, "drm_driver_legacy_fb_format" },
	{ 0x7f01ca57, "drm_crtc_cleanup" },
	{ 0xac1e7e97, "drm_connector_list_iter_begin" },
	{ 0xe6afa93, "fb_deferred_io_init" },
	{ 0xce26da65, "drm_mode_set_config_internal" },
	{ 0x8143507a, "fb_deferred_io_cleanup" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0xab43e177, "framebuffer_alloc" },
	{ 0x9ae6e05a, "drm_encoder_cleanup" },
	{ 0xf50bebc4, "drm_connector_unregister" },
	{ 0x643b8909, "drm_modeset_acquire_init" },
	{ 0x554b16f9, "dma_fence_set_deadline" },
	{ 0xb3750192, "drm_edid_valid" },
	{ 0x212b6718, "drm_client_modeset_probe" },
	{ 0xcc2632fa, "drm_warn_on_modeset_not_all_locked" },
	{ 0xaaa6223a, "drm_plane_get_damage_clips" },
	{ 0x79245905, "devres_add" },
	{ 0xff95e0c7, "dma_fence_wait_timeout" },
	{ 0x177e25e8, "drm_add_modes_noedid" },
	{ 0xddf39602, "drm_bridge_remove" },
	{ 0xb6d71395, "drm_mode_object_put" },
	{ 0xc68ba523, "dev_driver_string" },
	{ 0x4df6385c, "drm_crtc_vblank_get" },
	{ 0x54f0ac39, "drm_gem_object_lookup" },
	{ 0x8a0107e8, "drm_crtc_send_vblank_event" },
	{ 0x32fe3141, "drm_connector_attach_encoder" },
	{ 0xcd0c29d2, "wait_for_completion_interruptible_timeout" },
	{ 0x2ed3c600, "drm_mode_debug_printmodeline" },
	{ 0x6ad2d40b, "fb_sys_write" },
	{ 0xe8cc7ebc, "drm_atomic_normalize_zpos" },
	{ 0x1bfeef38, "drm_edid_connector_update" },
	{ 0xc459dcb3, "drm_sysfs_hotplug_event" },
	{ 0x23228014, "drm_bridge_hpd_disable" },
	{ 0x3bd73afc, "sys_imageblit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xb63cb66c, "__drmm_add_action_or_reset" },
	{ 0xd3040866, "drm_crtc_vblank_reset" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x40d04664, "console_trylock" },
	{ 0x7a3c6c89, "sys_fillrect" },
	{ 0x8415c7a4, "drm_connector_list_iter_end" },
	{ 0x695ff499, "drm_atomic_set_crtc_for_plane" },
	{ 0x16ad8831, "drm_bridge_edid_read" },
	{ 0x2d4cf588, "drm_client_modeset_dpms" },
	{ 0x560f3116, "drm_mode_prune_invalid" },
	{ 0x4321ee64, "drm_client_dev_hotplug" },
	{ 0x40a9b349, "vzalloc" },
	{ 0xbcf525d9, "_dev_info" },
	{ 0x1ef315f3, "dma_resv_get_singleton" },
	{ 0xb1c3a01a, "oops_in_progress" },
	{ 0x6af84840, "drm_plane_cleanup" },
	{ 0x4575a0ca, "drm_mode_set_crtcinfo" },
	{ 0x8bf88187, "module_put" },
	{ 0x64454785, "dma_buf_begin_cpu_access" },
	{ 0x98b71c6, "fb_dealloc_cmap" },
	{ 0x6f856905, "drm_atomic_get_crtc_state" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0xe4729165, "drm_client_init" },
	{ 0x791babf4, "drm_crtc_wait_one_vblank" },
	{ 0x757f43da, "drm_crtc_next_vblank_start" },
	{ 0x45606b4c, "__drmm_encoder_alloc" },
	{ 0xd7a9cf42, "drm_mode_validate_size" },
	{ 0x796da787, "drm_modeset_lock" },
	{ 0xc106f6a0, "drm_client_modeset_commit_locked" },
	{ 0xec8b281e, "drm_modeset_unlock" },
	{ 0x70ff0a17, "drm_panel_disable" },
	{ 0x5d2cc1c1, "drm_property_replace_blob" },
	{ 0x6910e4cd, "drm_format_info_min_pitch" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xcee0f26b, "drm_connector_init" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x40d1b0cb, "devm_kfree" },
	{ 0xeb5e004c, "_dev_err" },
	{ 0x4af9a5b5, "drm_writeback_cleanup_job" },
	{ 0x7f0062fc, "drm_modeset_lock_all_ctx" },
	{ 0x3cf1a8f1, "i2c_unregister_device" },
	{ 0x38b29214, "drm_atomic_set_fb_for_plane" },
	{ 0x5e535e4b, "__drm_universal_plane_alloc" },
	{ 0xcab7eb83, "drm_connector_init_with_ddc" },
	{ 0x1614b69b, "drm_edid_connector_add_modes" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x74fc6fbd, "drm_format_info_block_width" },
	{ 0xfbaaf01e, "console_lock" },
	{ 0x33c0b78, "__devres_alloc_node" },
	{ 0x1a7016fa, "drm_edid_read" },
	{ 0x53c24b01, "mutex_is_locked" },
	{ 0x67ffbc09, "drm_crtc_commit_wait" },
	{ 0x9f2e8d66, "drm_dev_has_vblank" },
	{ 0x1cff4e39, "register_framebuffer" },
	{ 0x6f53043d, "wait_for_completion_interruptible" },
	{ 0x3233f869, "__drm_atomic_helper_disable_plane" },
	{ 0x84d2d78, "drm_connector_set_orientation_from_panel" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0x2b7a74d3, "drm_gem_handle_create" },
	{ 0xe14612c1, "drm_atomic_set_crtc_for_connector" },
	{ 0xdafd0271, "drm_analog_tv_mode" },
	{ 0x873b79bf, "drm_crtc_init_with_planes" },
	{ 0x7a890c8, "fb_alloc_cmap" },
	{ 0xaf84cfd2, "drm_mode_duplicate" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0xbeccd699, "drm_crtc_vblank_put" },
	{ 0x4e2551e, "i2c_new_client_device" },
	{ 0xb93a6a2e, "zpci_write_block" },
	{ 0x4a35d30d, "drm_mode_set_name" },
	{ 0x511281a6, "__drm_dev_dbg" },
	{ 0x5f884ee8, "drm_plane_get_damage_clips_count" },
	{ 0x17f96a71, "drm_atomic_commit" },
	{ 0x9ce050be, "drm_mode_copy" },
	{ 0x9323384, "fb_deferred_io_mmap" },
	{ 0x74db6d3f, "drm_atomic_state_alloc" },
	{ 0x90e41d14, "drm_client_modeset_commit" },
	{ 0x337842e5, "_dev_warn" },
	{ 0xdf10c2e8, "drm_atomic_bridge_chain_post_disable" },
	{ 0x4c2be6dd, "drm_connector_update_edid_property" },
	{ 0xe633a4cd, "drm_format_info_bpp" },
	{ 0xc631580a, "console_unlock" },
	{ 0x90a3eb5e, "fb_set_suspend" },
	{ 0x6108288f, "complete_all" },
	{ 0xdad76e91, "drm_atomic_get_new_crtc_for_encoder" },
	{ 0xf1bed804, "drm_client_release" },
	{ 0xae277372, "__drm_crtc_commit_free" },
	{ 0xf15d9b91, "__drm_atomic_helper_set_config" },
	{ 0x24b8528f, "mutex_trylock" },
	{ 0xd4f5a9ad, "drm_atomic_set_mode_prop_for_crtc" },
	{ 0xd0a6b038, "drm_get_format_info" },
	{ 0xe7ea74c6, "drm_connector_cleanup" },
	{ 0x8a19e4ad, "drm_universal_plane_init" },
	{ 0x88987134, "drm_any_plane_has_format" },
	{ 0x26ef8426, "sys_copyarea" },
	{ 0x53fdf2ce, "drm_connector_list_iter_next" },
	{ 0xcebc34db, "drm_modeset_acquire_fini" },
	{ 0x64027f70, "drm_encoder_init" },
	{ 0x16b69bc8, "zpci_store" },
	{ 0x999e8297, "vfree" },
	{ 0x14017c7b, "drm_object_property_get_default_value" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0xdfcc992c, "current_work" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x473e5aa0, "param_ops_bool" },
	{ 0x21893996, "drm_master_internal_acquire" },
	{ 0xe93e49c3, "devres_free" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x20e2f84e, "drm_modeset_backoff" },
	{ 0x2d30a6b4, "drm_panel_prepare" },
	{ 0xf72cdc61, "drm_bridge_chain_mode_set" },
	{ 0xbf9dc5e8, "drm_client_buffer_vunmap" },
	{ 0xf1421d13, "drm_mode_sort" },
	{ 0xdb1926e0, "fb_sys_read" },
	{ 0xab0b9268, "drm_atomic_get_plane_state" },
	{ 0x4f0f3f44, "drm_atomic_bridge_chain_check" },
	{ 0x9376417d, "dma_fence_chain_init" },
	{ 0x3ad0d573, "register_sysrq_key" },
	{ 0xe5978949, "drm_property_blob_get" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0xe4b52322, "drm_property_blob_put" },
	{ 0xe25f5331, "drm_mode_destroy" },
	{ 0x2793d9e2, "drm_bridge_attach" },
	{ 0x545e9a9e, "drm_set_preferred_mode" },
	{ 0xea90fe59, "drm_atomic_bridge_chain_pre_enable" },
	{ 0xdc3fd2c9, "drm_atomic_state_clear" },
	{ 0xfc7eb752, "drm_mode_config_reset" },
	{ 0x324cf51b, "drm_property_create_blob" },
	{ 0x55eb38da, "drm_format_info" },
	{ 0x5e4619de, "kmalloc_trace" },
	{ 0x5f68a1a2, "drm_modeset_drop_locks" },
	{ 0x9b8122d4, "fwnode_handle_put" },
	{ 0x1d791409, "framebuffer_release" },
	{ 0xe123f3d9, "dma_fence_release" },
	{ 0xbe05e2a, "drm_atomic_bridge_chain_disable" },
	{ 0x6671bf72, "drm_mode_create_from_cmdline_mode" },
	{ 0xad44a648, "drm_mode_validate_ycbcr420" },
	{ 0x982d09b3, "drm_format_info_block_height" },
	{ 0x836084ff, "param_ops_int" },
	{ 0xdf1db373, "drm_atomic_nonblocking_commit" },
	{ 0xb5bd8d65, "debugfs_create_dir" },
	{ 0xb1176e59, "try_wait_for_completion" },
	{ 0xdfae6909, "drm_master_internal_release" },
	{ 0xbcdd27ad, "drm_calc_timestamping_constants" },
	{ 0xcdb99cc9, "drm_mode_init" },
	{ 0xfd60df2, "drm_get_connector_status_name" },
	{ 0x4d97b7ce, "drm_panel_unprepare" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0x6c643196, "kmalloc_caches" },
	{ 0x4e549cb8, "drm_atomic_add_encoder_bridges" },
	{ 0x6114a006, "drm_atomic_get_connector_state" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xa3e0a587, "drm_sysfs_connector_hotplug_event" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x4403a9c3, "drm_mode_get_hv_timing" },
	{ 0x377278c, "module_layout" },
};

MODULE_INFO(depends, "fb,drm,fb_sys_fops,sysimgblt,sysfillrect,i2c-core,syscopyarea");


MODULE_INFO(srcversion, "273091B691F8FE35EB403A7");
MODULE_INFO(rhelversion, "9.6");
