#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(iscsi_tcp_segment_unmap, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_segment_done, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_dgst_header, "_gpl", "");
KSYMTAB_FUNC(iscsi_segment_init_linear, "_gpl", "");
KSYMTAB_FUNC(iscsi_segment_seek_sg, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_hdr_recv_prep, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_cleanup_task, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_recv_segment_is_hdr, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_recv_skb, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_task_init, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_task_xmit, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_conn_setup, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_conn_teardown, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_r2tpool_alloc, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_r2tpool_free, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_set_max_r2t, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_conn_get_stats, "_gpl", "");

SYMBOL_CRC(iscsi_tcp_segment_unmap, 0xaaa86c73, "_gpl");
SYMBOL_CRC(iscsi_tcp_segment_done, 0x3669dac8, "_gpl");
SYMBOL_CRC(iscsi_tcp_dgst_header, 0x618f992d, "_gpl");
SYMBOL_CRC(iscsi_segment_init_linear, 0xe2fa07ee, "_gpl");
SYMBOL_CRC(iscsi_segment_seek_sg, 0xa7749d1b, "_gpl");
SYMBOL_CRC(iscsi_tcp_hdr_recv_prep, 0x847bcef8, "_gpl");
SYMBOL_CRC(iscsi_tcp_cleanup_task, 0x67f8ddaf, "_gpl");
SYMBOL_CRC(iscsi_tcp_recv_segment_is_hdr, 0x3d82eb8a, "_gpl");
SYMBOL_CRC(iscsi_tcp_recv_skb, 0x592a861e, "_gpl");
SYMBOL_CRC(iscsi_tcp_task_init, 0x4a47a2a0, "_gpl");
SYMBOL_CRC(iscsi_tcp_task_xmit, 0x2229d250, "_gpl");
SYMBOL_CRC(iscsi_tcp_conn_setup, 0xeae29693, "_gpl");
SYMBOL_CRC(iscsi_tcp_conn_teardown, 0x40ec97d1, "_gpl");
SYMBOL_CRC(iscsi_tcp_r2tpool_alloc, 0x546dd64d, "_gpl");
SYMBOL_CRC(iscsi_tcp_r2tpool_free, 0xca306011, "_gpl");
SYMBOL_CRC(iscsi_tcp_set_max_r2t, 0x581424a9, "_gpl");
SYMBOL_CRC(iscsi_tcp_conn_get_stats, 0x53587d80, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc165a09d, "iscsi_dbg_trace" },
	{ 0x9d82d9dd, "dev_printk" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x857c6497, "crypto_ahash_digest" },
	{ 0x5ef8c8f2, "iscsi_conn_setup" },
	{ 0x965dee98, "iscsi_conn_teardown" },
	{ 0xb534f61f, "__kfifo_alloc" },
	{ 0x3bef2f73, "iscsi_pool_init" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0x8d303b1b, "iscsi_pool_free" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xaa976bb3, "__tracepoint_iscsi_dbg_tcp" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x788d2ebf, "__traceiter_iscsi_dbg_tcp" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x1578e0a1, "iscsi_prep_data_out_pdu" },
	{ 0xf23fcb99, "__kfifo_in" },
	{ 0x13d0adf7, "__kfifo_out" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0xaba4c0ed, "iscsi_conn_failure" },
	{ 0xfef3f17c, "iscsi_put_task" },
	{ 0x3e3581db, "iscsi_itt_to_ctask" },
	{ 0xe798236d, "jiffies" },
	{ 0xa429d961, "iscsi_get_task" },
	{ 0x7c8baafd, "iscsi_update_cmdsn" },
	{ 0x82dce24c, "iscsi_requeue_task" },
	{ 0x2d137c5e, "vmemmap" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xdf760b7f, "crypto_ahash_final" },
	{ 0x236c8c64, "memcpy" },
	{ 0x41018b8d, "skb_prepare_seq_read" },
	{ 0xad3ef84f, "skb_seq_read" },
	{ 0x74c5c903, "skb_abort_seq_read" },
	{ 0x2fa5a500, "memcmp" },
	{ 0x653f5e34, "iscsi_complete_pdu" },
	{ 0xc563b2f3, "iscsi_verify_itt" },
	{ 0x33bf6b3e, "__iscsi_complete_pdu" },
	{ 0x836084ff, "param_ops_int" },
	{ 0x377278c, "module_layout" },
};

MODULE_INFO(depends, "scsi_transport_iscsi,libiscsi");


MODULE_INFO(srcversion, "AD9D6C9944437EF83E227A6");
MODULE_INFO(rhelversion, "9.6");
