#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(wpan_phy_find, "", "");
KSYMTAB_FUNC(wpan_phy_for_each, "", "");
KSYMTAB_FUNC(wpan_phy_new, "", "");
KSYMTAB_FUNC(wpan_phy_register, "", "");
KSYMTAB_FUNC(wpan_phy_unregister, "", "");
KSYMTAB_FUNC(wpan_phy_free, "", "");
KSYMTAB_FUNC(ieee802154_hdr_push, "_gpl", "");
KSYMTAB_FUNC(ieee802154_hdr_pull, "_gpl", "");
KSYMTAB_FUNC(ieee802154_hdr_peek_addrs, "_gpl", "");
KSYMTAB_FUNC(ieee802154_hdr_peek, "_gpl", "");
KSYMTAB_FUNC(ieee802154_max_payload, "_gpl", "");

SYMBOL_CRC(wpan_phy_find, 0xa393b52d, "");
SYMBOL_CRC(wpan_phy_for_each, 0xea7a1ad2, "");
SYMBOL_CRC(wpan_phy_new, 0x3dca02f9, "");
SYMBOL_CRC(wpan_phy_register, 0x2e063fc0, "");
SYMBOL_CRC(wpan_phy_unregister, 0x219ac871, "");
SYMBOL_CRC(wpan_phy_free, 0xf9e72cc5, "");
SYMBOL_CRC(ieee802154_hdr_push, 0x3359b6f1, "_gpl");
SYMBOL_CRC(ieee802154_hdr_pull, 0x85ad1a16, "_gpl");
SYMBOL_CRC(ieee802154_hdr_peek_addrs, 0x2c21dd6b, "_gpl");
SYMBOL_CRC(ieee802154_hdr_peek, 0x4671e4e8, "_gpl");
SYMBOL_CRC(ieee802154_max_payload, 0xbc82b3dd, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xf929d26, "bpf_trace_run4" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xe3430583, "dev_set_name" },
	{ 0x5c61de32, "trace_output_call" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x3963de6f, "trace_raw_output_prep" },
	{ 0xd8c23448, "nla_put_64bit" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0x8965b96, "trace_event_printf" },
	{ 0xb7e6126, "device_initialize" },
	{ 0x87fdeadb, "genlmsg_put" },
	{ 0xcf55563b, "trace_event_raw_init" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xf1e60300, "bpf_trace_run2" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0x75d06400, "event_triggers_call" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x75b4a781, "get_device" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x1412bae1, "netlink_broadcast_filtered" },
	{ 0x446bf7a0, "device_rename" },
	{ 0xe2e3b194, "trace_event_buffer_commit" },
	{ 0x1000e51, "schedule" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xc637258b, "put_device" },
	{ 0x25fc6e18, "trace_event_ignore_this_pid" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0x23f4107c, "__alloc_skb" },
	{ 0xc5f77c71, "class_for_each_device" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x2959b573, "__dev_get_by_index" },
	{ 0x86bb6d4e, "perf_trace_run_bpf_submit" },
	{ 0xe04cb0ee, "init_net" },
	{ 0x97505cda, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xaa7326c7, "device_add" },
	{ 0xab26c60d, "sk_skb_reason_drop" },
	{ 0x1fb9efc, "netlink_unicast" },
	{ 0x5543ea61, "dev_get_by_index" },
	{ 0x76a207b0, "skb_push" },
	{ 0xa9873c4a, "nla_put" },
	{ 0x358968f9, "trace_event_reg" },
	{ 0x820c2a2, "class_unregister" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x8fe2b16, "unregister_pernet_device" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xc5705a6c, "bpf_trace_run1" },
	{ 0x17dadd46, "device_del" },
	{ 0xf1e7f0b7, "dev_set_mac_address" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0x2c769003, "__pskb_pull_tail" },
	{ 0xf08210fe, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x8d3616a0, "bpf_trace_run3" },
	{ 0xae18482e, "__put_net" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xfa45d1a8, "get_net_ns_by_pid" },
	{ 0x24c5318, "trace_event_buffer_reserve" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xf9e2a2b6, "device_match_name" },
	{ 0xaf3d9ef7, "dev_get_by_name" },
	{ 0x6f20e8a0, "nla_strscpy" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x564446b, "genl_unregister_family" },
	{ 0x5e4619de, "kmalloc_trace" },
	{ 0xa2a9a417, "genl_register_family" },
	{ 0xa4ab2fd2, "__dev_change_net_namespace" },
	{ 0xc755c93f, "trace_handle_return" },
	{ 0x2deabdb1, "register_pernet_device" },
	{ 0xd67e6056, "get_net_ns_by_fd" },
	{ 0xe1aac611, "class_register" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0x6c643196, "kmalloc_caches" },
	{ 0xe58081, "class_find_device" },
	{ 0x377278c, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "1CB0F406BE0A8E166AE91E7");
MODULE_INFO(rhelversion, "9.6");
