#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mpls_output_possible, "_gpl", "");
KSYMTAB_FUNC(mpls_dev_mtu, "_gpl", "");
KSYMTAB_FUNC(mpls_pkt_too_big, "_gpl", "");
KSYMTAB_FUNC(mpls_stats_inc_outucastpkts, "_gpl", "");
KSYMTAB_FUNC(nla_put_labels, "_gpl", "");
KSYMTAB_FUNC(nla_get_labels, "_gpl", "");

SYMBOL_CRC(mpls_output_possible, 0xe927736e, "_gpl");
SYMBOL_CRC(mpls_dev_mtu, 0x923b9d23, "_gpl");
SYMBOL_CRC(mpls_pkt_too_big, 0x8e15ee9e, "_gpl");
SYMBOL_CRC(mpls_stats_inc_outucastpkts, 0x8cd0ccbb, "_gpl");
SYMBOL_CRC(nla_put_labels, 0xc5e3da94, "_gpl");
SYMBOL_CRC(nla_get_labels, 0xe06274a4, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1850546e, "netlink_strict_get_check" },
	{ 0x9cb8a81d, "ip_tunnel_encap_add_ops" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x525f8c9c, "__nlmsg_put" },
	{ 0xdbefc819, "skb_gso_validate_network_len" },
	{ 0x5393320d, "register_net_sysctl" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x7a860ec3, "consume_skb" },
	{ 0xc6669cc2, "dev_add_pack" },
	{ 0x98de1c15, "snprintf" },
	{ 0x541526e7, "nla_reserve" },
	{ 0x579e0bf5, "rtnl_unregister_all" },
	{ 0xa22dba42, "neigh_xmit" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x7a9a7756, "ip_route_output_flow" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0xd9e4dcc3, "pskb_expand_head" },
	{ 0x929b3f71, "register_pernet_subsys" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0x8b0c8eb9, "rtnl_af_register" },
	{ 0x23f4107c, "__alloc_skb" },
	{ 0x3fa03c37, "rtnl_set_sk_err" },
	{ 0xc52cde9, "rtnl_unicast" },
	{ 0x6ef84303, "kvmalloc_node" },
	{ 0x3caf8e80, "nla_reserve_64bit" },
	{ 0xea06dc13, "ip_valid_fib_dump_req" },
	{ 0x2959b573, "__dev_get_by_index" },
	{ 0xb52a536a, "ipv6_stub" },
	{ 0x97505cda, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xe8a9f0a, "nla_reserve_nohdr" },
	{ 0x9c919829, "rtnl_af_unregister" },
	{ 0xab26c60d, "sk_skb_reason_drop" },
	{ 0x102cfee4, "dev_remove_pack" },
	{ 0x5543ea61, "dev_get_by_index" },
	{ 0x76a207b0, "skb_push" },
	{ 0xa9873c4a, "nla_put" },
	{ 0xcd279169, "nla_find" },
	{ 0xd779d76a, "__skb_warn_lro_forwarding" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x7e91404, "rtnl_register_module" },
	{ 0xf61e9b26, "ip_tunnel_encap_del_ops" },
	{ 0xb78fa9d6, "unregister_pernet_subsys" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x2c769003, "__pskb_pull_tail" },
	{ 0xf08210fe, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x55f2580b, "__alloc_percpu" },
	{ 0xe35fb609, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x59c9e12b, "rtnl_notify" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x6d4abad3, "skb_clone" },
	{ 0xd8da0ba8, "dst_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xd93dd3c3, "proc_dointvec" },
	{ 0x5080ca5d, "unregister_net_sysctl_table" },
	{ 0x5e4619de, "kmalloc_trace" },
	{ 0xbdbb92f6, "dev_get_flags" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0x6c643196, "kmalloc_caches" },
	{ 0xc84fddf6, "proc_dointvec_minmax" },
	{ 0x377278c, "module_layout" },
};

MODULE_INFO(depends, "ip_tunnel");


MODULE_INFO(srcversion, "4DE9253820B6FD1EE507DE9");
MODULE_INFO(rhelversion, "9.6");
