#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nf_ct_nat_ext_add, "_gpl", "");
KSYMTAB_FUNC(nf_nat_setup_info, "", "");
KSYMTAB_FUNC(nf_nat_alloc_null_binding, "_gpl", "");
KSYMTAB_FUNC(nf_nat_packet, "_gpl", "");
KSYMTAB_FUNC(nf_nat_inet_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_icmp_reply_translation, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv4_register_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv4_unregister_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_icmpv6_reply_translation, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv6_register_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv6_unregister_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_inet_register_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_inet_unregister_fn, "_gpl", "");
KSYMTAB_FUNC(__nf_nat_mangle_tcp_packet, "", "");
KSYMTAB_FUNC(nf_nat_mangle_udp_packet, "", "");
KSYMTAB_FUNC(nf_nat_follow_master, "", "");
KSYMTAB_FUNC(nf_nat_redirect_ipv4, "_gpl", "");
KSYMTAB_FUNC(nf_nat_redirect_ipv6, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_ipv4, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_ipv6, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_inet_register_notifiers, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_inet_unregister_notifiers, "_gpl", "");
KSYMTAB_FUNC(nf_ct_nat, "_gpl", "");

SYMBOL_CRC(nf_ct_nat_ext_add, 0x38b0edbb, "_gpl");
SYMBOL_CRC(nf_nat_setup_info, 0x39ae836a, "");
SYMBOL_CRC(nf_nat_alloc_null_binding, 0x323f48bf, "_gpl");
SYMBOL_CRC(nf_nat_packet, 0x3bbd46c1, "_gpl");
SYMBOL_CRC(nf_nat_inet_fn, 0x1c2ef6eb, "_gpl");
SYMBOL_CRC(nf_nat_icmp_reply_translation, 0xeb7c9121, "_gpl");
SYMBOL_CRC(nf_nat_ipv4_register_fn, 0xdcdfbbf3, "_gpl");
SYMBOL_CRC(nf_nat_ipv4_unregister_fn, 0x66ce0641, "_gpl");
SYMBOL_CRC(nf_nat_icmpv6_reply_translation, 0x4ad6e859, "_gpl");
SYMBOL_CRC(nf_nat_ipv6_register_fn, 0x7364fc8c, "_gpl");
SYMBOL_CRC(nf_nat_ipv6_unregister_fn, 0x26d118f0, "_gpl");
SYMBOL_CRC(nf_nat_inet_register_fn, 0x91d92159, "_gpl");
SYMBOL_CRC(nf_nat_inet_unregister_fn, 0x22fc657e, "_gpl");
SYMBOL_CRC(__nf_nat_mangle_tcp_packet, 0x2e24b2d2, "");
SYMBOL_CRC(nf_nat_mangle_udp_packet, 0xd448ab6c, "");
SYMBOL_CRC(nf_nat_follow_master, 0xc26f1dca, "");
SYMBOL_CRC(nf_nat_redirect_ipv4, 0xda94270c, "_gpl");
SYMBOL_CRC(nf_nat_redirect_ipv6, 0xc01fd28e, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_ipv4, 0x1330e5a6, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_ipv6, 0x9c0393a4, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_inet_register_notifiers, 0x3bc17c49, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_inet_unregister_notifiers, 0xd9c25654, "_gpl");
SYMBOL_CRC(nf_ct_nat, 0xf7b1f251, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xdc80440a, "nf_ct_ext_add" },
	{ 0xe2fd8f6, "__do_once_done" },
	{ 0x96c3edd8, "nf_conntrack_find_get" },
	{ 0x3400247f, "try_module_get" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x2411c103, "nf_ip6_checksum" },
	{ 0x88e96ee3, "skb_copy_bits" },
	{ 0x26a672e3, "nf_hook_entries_insert_raw" },
	{ 0x89080830, "xfrm_lookup" },
	{ 0x7e50850c, "nf_ct_seqadj_set" },
	{ 0x1918fec4, "skb_put" },
	{ 0xa3a5be95, "memmove" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xbdff07a3, "nf_ct_helper_expectfn_unregister" },
	{ 0x9f06ca94, "__xfrm_decode_session" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0xcbedbe69, "nf_ct_helper_expectfn_register" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x1e7678a3, "ip6_route_me_harder" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0xd9e4dcc3, "pskb_expand_head" },
	{ 0x929b3f71, "register_pernet_subsys" },
	{ 0x469f35e7, "nf_conntrack_tuple_taken" },
	{ 0x92997ed8, "_printk" },
	{ 0x6aa82131, "nf_ct_iterate_cleanup_net" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xac6fcd59, "ipv6_skip_exthdr" },
	{ 0xee8dc0b2, "nf_register_net_hooks" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0x8bf88187, "module_put" },
	{ 0xcafaa921, "ipv6_dev_get_saddr" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x6e2da197, "arch_read_lock_wait" },
	{ 0x8ffe7e89, "nf_conntrack_htable_size" },
	{ 0x10aee4de, "nf_conntrack_alter_reply" },
	{ 0x7530556e, "ip_route_me_harder" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x9c4947, "nf_hook_entries_delete_raw" },
	{ 0x9891d1c3, "skb_ensure_writable" },
	{ 0xfbc364e5, "nf_unregister_net_hooks" },
	{ 0xbba21e4e, "inet_select_addr" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xfe731af8, "nf_ct_invert_tuple" },
	{ 0xb78fa9d6, "unregister_pernet_subsys" },
	{ 0x8e7f9b46, "skb_checksum" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x5dfd67, "nf_ct_delete" },
	{ 0x70e34042, "nf_ip_checksum" },
	{ 0x7cd3ac87, "register_btf_kfunc_id_set" },
	{ 0xa03ff8c7, "nf_ct_iterate_destroy" },
	{ 0x96d39e42, "inet_proto_csum_replace16" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xae18482e, "__put_net" },
	{ 0xb15b4109, "crc32c" },
	{ 0xe17678a, "siphash_4u64" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xd3f91b42, "__skb_checksum" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xfe21c390, "inet_proto_csum_replace4" },
	{ 0xe35fb609, "kmemdup" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xf79faab3, "ip_send_check" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xd8da0ba8, "dst_release" },
	{ 0x22b9c25f, "nf_ct_kill_acct" },
	{ 0x289c3714, "nf_ct_alloc_hashtable" },
	{ 0xe88e60f7, "nf_nat_hook" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0x5e4619de, "kmalloc_trace" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x3832522f, "__crc32c_le_shift" },
	{ 0x6c643196, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x377278c, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack,libcrc32c");


MODULE_INFO(srcversion, "89B6FE2CDE2EB10DAE412B1");
MODULE_INFO(rhelversion, "9.6");
