#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(tun_ptr_free, "_gpl", "");
KSYMTAB_FUNC(tun_get_socket, "_gpl", "");
KSYMTAB_FUNC(tun_get_tx_ring, "_gpl", "");

SYMBOL_CRC(tun_ptr_free, 0x4099f919, "_gpl");
SYMBOL_CRC(tun_get_socket, 0x53642eef, "_gpl");
SYMBOL_CRC(tun_get_tx_ring, 0xb6a8d9e8, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9b8d07aa, "strnlen" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x236c8c64, "memcpy" },
	{ 0x28557ade, "fasync_helper" },
	{ 0x6207c9d, "__f_setown" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x2b7d1e11, "netdev_info" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xa9873c4a, "nla_put" },
	{ 0xf06fbd80, "from_kgid_munged" },
	{ 0xda3b5680, "from_kuid_munged" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1675271, "bpf_prog_destroy" },
	{ 0x37a0cba, "kfree" },
	{ 0xbb889b9d, "dev_get_tstats64" },
	{ 0xeed93881, "netif_tx_stop_all_queues" },
	{ 0x92997ed8, "_printk" },
	{ 0x74ba8b42, "rtnl_link_register" },
	{ 0xbc33db9b, "misc_register" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x52984158, "misc_deregister" },
	{ 0xfafb096f, "rtnl_link_unregister" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xe5426dc0, "xdp_return_frame" },
	{ 0xab26c60d, "sk_skb_reason_drop" },
	{ 0x9f5fd4db, "netif_carrier_on" },
	{ 0xeb362645, "netif_carrier_off" },
	{ 0x2f06e0d7, "bpf_prog_put" },
	{ 0xf4744f50, "sk_alloc" },
	{ 0x6ef84303, "kvmalloc_node" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0x8f985f13, "sock_init_data_uid" },
	{ 0x14b8687f, "sk_free" },
	{ 0x4e015660, "_copy_to_iter" },
	{ 0xbf16b988, "skb_copy_datagram_iter" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xa8efb195, "iov_iter_advance" },
	{ 0x2e45472b, "netdev_err" },
	{ 0xead58fb9, "print_hex_dump" },
	{ 0x4f91fd51, "__wake_up_sync_key" },
	{ 0xf2db04e6, "kill_fasync" },
	{ 0xfdfc9230, "skb_queue_purge_reason" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0xf1431453, "napi_disable" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xd6dd59e7, "xdp_rxq_info_unreg" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xeffc0564, "__netif_napi_del" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8bf88187, "module_put" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xe798236d, "jiffies" },
	{ 0x50fad434, "round_jiffies_up" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0x50097088, "security_tun_dev_free_security" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xc585cbf8, "netdev_core_stats_alloc" },
	{ 0x48a4a17b, "xdp_do_redirect" },
	{ 0x57fe8487, "bpf_warn_invalid_xdp_action" },
	{ 0x8b7a698b, "__tracepoint_xdp_exception" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x76fca1a6, "__traceiter_xdp_exception" },
	{ 0x16f0389c, "xdp_return_frame_rx_napi" },
	{ 0xe67bf81, "xdp_convert_zc_to_xdp_frame" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x7f4c565b, "add_wait_queue" },
	{ 0xbfd9f046, "remove_wait_queue" },
	{ 0x1000e51, "schedule" },
	{ 0x7a860ec3, "consume_skb" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x5c608722, "netif_receive_skb" },
	{ 0xd07d70e3, "napi_gro_receive" },
	{ 0xb88f75f3, "napi_complete_done" },
	{ 0xb16f0863, "build_skb" },
	{ 0x1918fec4, "skb_put" },
	{ 0xa97a94dd, "skb_set_owner_w" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x560a4b11, "napi_get_frags" },
	{ 0xae970b1b, "iov_iter_single_seg_count" },
	{ 0xd9e4dcc3, "pskb_expand_head" },
	{ 0x91a488ac, "__netdev_alloc_frag_align" },
	{ 0x2d137c5e, "vmemmap" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xef195888, "seq_printf" },
	{ 0x3ac1d07c, "sock_recv_errqueue" },
	{ 0x49608959, "migrate_disable" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0x1fa75c3f, "__skb_get_hash_symmetric_net" },
	{ 0xe94986d6, "sched_clock" },
	{ 0xa1c6c997, "sk_filter_trim_cap" },
	{ 0xc8981c64, "skb_clone_tx_timestamp" },
	{ 0xabf1d74, "skb_copy_ubufs" },
	{ 0xb378fbb3, "skb_tx_error" },
	{ 0x3b756f6a, "crc32_le" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0x8761c87b, "rps_needed" },
	{ 0xbfe06758, "skb_tstamp_tx" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xf5ca2941, "___pskb_trim" },
	{ 0x2bbe76f4, "rps_sock_flow_table" },
	{ 0x56802ae8, "rps_cpu_mask" },
	{ 0x6c643196, "kmalloc_caches" },
	{ 0x5e4619de, "kmalloc_trace" },
	{ 0x9e4291e5, "netif_set_real_num_tx_queues" },
	{ 0x5f706d82, "netif_set_real_num_rx_queues" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x633ee2c2, "unregister_netdevice_queue" },
	{ 0x47a41b4e, "netdev_state_change" },
	{ 0x9be7bde4, "security_tun_dev_attach" },
	{ 0x137441c6, "__xdp_rxq_info_reg" },
	{ 0x7adfc410, "xdp_rxq_info_reg_mem_model" },
	{ 0xff9b0eea, "netif_napi_add_weight" },
	{ 0xd810f712, "napi_enable" },
	{ 0x69bde16f, "xdp_rxq_info_is_reg" },
	{ 0xfca74260, "lock_sock_nested" },
	{ 0xef1d32a4, "sk_attach_filter" },
	{ 0x3ed1ae0a, "release_sock" },
	{ 0xda511dcc, "__dev_get_by_name" },
	{ 0xd133136a, "ns_capable" },
	{ 0xda3d10a8, "security_tun_dev_open" },
	{ 0xc6cbbc89, "capable" },
	{ 0x39461d6a, "in_egroup_p" },
	{ 0x4f1cd128, "security_tun_dev_create" },
	{ 0xe682b893, "alloc_netdev_mqs" },
	{ 0x2760ce3e, "ip_tunnel_header_ops" },
	{ 0x7e34fb5d, "register_netdevice" },
	{ 0xa0727763, "netif_tx_wake_queue" },
	{ 0xa557c3a1, "ether_setup" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x92c24cdd, "free_netdev" },
	{ 0xe541f71, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x438610bd, "security_tun_dev_alloc_security" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xebafb39a, "flow_keys_basic_dissector" },
	{ 0x5d96adc9, "__skb_flow_dissect" },
	{ 0x7f660bb3, "skb_partial_csum_set" },
	{ 0x2c769003, "__pskb_pull_tail" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0xef12064a, "bpf_prog_get_type_dev" },
	{ 0xd3af979c, "memdup_user" },
	{ 0x6a78db2d, "skb_page_frag_refill" },
	{ 0x14f07253, "copy_page_from_iter" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0xf015c58, "xdp_master_redirect" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x8aa94781, "__folio_put" },
	{ 0x89a7e699, "_copy_from_iter" },
	{ 0x415cac88, "iov_iter_npages" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0xb20a1889, "skb_copy_datagram_from_iter" },
	{ 0xf92d131c, "eth_type_trans" },
	{ 0x7b2b1b3b, "sock_alloc_send_pskb" },
	{ 0x8cda71c2, "zerocopy_sg_from_iter" },
	{ 0x9b1b3d8e, "napi_schedule_prep" },
	{ 0x5c2236f0, "__napi_schedule" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x2021fd5, "do_xdp_generic" },
	{ 0x66f8cbeb, "iov_iter_revert" },
	{ 0x76a207b0, "skb_push" },
	{ 0x51ffa94e, "eth_get_headlen" },
	{ 0xc5674d0f, "napi_gro_frags" },
	{ 0xb91aca5d, "__page_frag_cache_drain" },
	{ 0xdfca0d4b, "get_net_ns" },
	{ 0x47cb3883, "open_related_ns" },
	{ 0xf86787b7, "dev_get_mac_address" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0x91736ece, "make_kgid" },
	{ 0x34f3484e, "security_tun_dev_attach_queue" },
	{ 0xf04798a0, "sk_detach_filter" },
	{ 0x6eb309c5, "make_kuid" },
	{ 0xa197d3e4, "init_user_ns" },
	{ 0xedc6e23a, "from_kuid" },
	{ 0xa840cc90, "dev_set_mac_address_user" },
	{ 0x49450db9, "netdev_update_features" },
	{ 0x63fbc5e6, "call_netdevice_notifiers" },
	{ 0x3b950c79, "__module_get" },
	{ 0x9f5f81f1, "from_kgid" },
	{ 0xd65c8e8b, "ethtool_op_get_link" },
	{ 0xad3bfaec, "ethtool_op_get_ts_info" },
	{ 0x26c6cdd9, "passthru_features_check" },
	{ 0x7b830e0c, "eth_mac_addr" },
	{ 0x2c55cc06, "eth_validate_addr" },
	{ 0x377278c, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "3AA60D8B76EFCF5C920A9D1");
MODULE_INFO(rhelversion, "9.6");
