#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(uart_write_wakeup, "", "");
KSYMTAB_FUNC(uart_update_timeout, "", "");
KSYMTAB_FUNC(uart_get_baud_rate, "", "");
KSYMTAB_FUNC(uart_get_divisor, "", "");
KSYMTAB_FUNC(uart_xchar_out, "_gpl", "");
KSYMTAB_FUNC(uart_suspend_port, "", "");
KSYMTAB_FUNC(uart_resume_port, "", "");
KSYMTAB_FUNC(uart_register_driver, "", "");
KSYMTAB_FUNC(uart_unregister_driver, "", "");
KSYMTAB_FUNC(uart_console_device, "_gpl", "");
KSYMTAB_FUNC(uart_match_port, "", "");
KSYMTAB_FUNC(uart_handle_dcd_change, "_gpl", "");
KSYMTAB_FUNC(uart_handle_cts_change, "_gpl", "");
KSYMTAB_FUNC(uart_insert_char, "_gpl", "");
KSYMTAB_FUNC(uart_try_toggle_sysrq, "_gpl", "");
KSYMTAB_FUNC(uart_get_rs485_mode, "_gpl", "");
KSYMTAB_FUNC(uart_add_one_port, "", "");
KSYMTAB_FUNC(uart_remove_one_port, "", "");

SYMBOL_CRC(uart_write_wakeup, 0xe35dafbf, "");
SYMBOL_CRC(uart_update_timeout, 0x861c3ab9, "");
SYMBOL_CRC(uart_get_baud_rate, 0xbfdcd59e, "");
SYMBOL_CRC(uart_get_divisor, 0xca9e70ed, "");
SYMBOL_CRC(uart_xchar_out, 0x6eabb801, "_gpl");
SYMBOL_CRC(uart_suspend_port, 0x569be24f, "");
SYMBOL_CRC(uart_resume_port, 0x1d769323, "");
SYMBOL_CRC(uart_register_driver, 0xe0263dc7, "");
SYMBOL_CRC(uart_unregister_driver, 0xf27003c3, "");
SYMBOL_CRC(uart_console_device, 0x5dee028e, "_gpl");
SYMBOL_CRC(uart_match_port, 0x5ba230d9, "");
SYMBOL_CRC(uart_handle_dcd_change, 0x4e821bf6, "_gpl");
SYMBOL_CRC(uart_handle_cts_change, 0x2de1a446, "_gpl");
SYMBOL_CRC(uart_insert_char, 0x1d41613e, "_gpl");
SYMBOL_CRC(uart_try_toggle_sysrq, 0xbe15403b, "_gpl");
SYMBOL_CRC(uart_get_rs485_mode, 0x739c9b54, "_gpl");
SYMBOL_CRC(uart_add_one_port, 0xdab992fc, "");
SYMBOL_CRC(uart_remove_one_port, 0x3abaa85f, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x78569adf, "ida_alloc_range" },
	{ 0x9edcec6c, "device_property_present" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xe3430583, "dev_set_name" },
	{ 0x3ec2daab, "tty_port_tty_set" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x98de1c15, "snprintf" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0x69dc761e, "tty_kref_put" },
	{ 0xb7e6126, "device_initialize" },
	{ 0x236c8c64, "memcpy" },
	{ 0x42f394ff, "tty_port_link_device" },
	{ 0x37a0cba, "kfree" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0x7f4c565b, "add_wait_queue" },
	{ 0xbd394d8, "tty_termios_baud_rate" },
	{ 0x21b94cf0, "__tty_alloc_driver" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0x19ee17d4, "tty_standard_install" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xd8903f05, "tty_hangup" },
	{ 0xe081f982, "tty_unregister_driver" },
	{ 0xe263c6c5, "__dynamic_dev_dbg" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x92997ed8, "_printk" },
	{ 0xb6f4dbfc, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xc637258b, "put_device" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0xacc4975c, "device_property_read_u32_array" },
	{ 0x67b27ec1, "tty_std_termios" },
	{ 0x1687ec20, "tty_get_frame_size" },
	{ 0x91f4d6a1, "security_locked_down" },
	{ 0xc6cbbc89, "capable" },
	{ 0xc519e745, "tty_port_tty_wakeup" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xdc9d67a7, "_dev_alert" },
	{ 0xf0476bec, "tty_port_unregister_device" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x24bb8de6, "bus_unregister" },
	{ 0xd3cf1c01, "down_write" },
	{ 0xeb5e004c, "_dev_err" },
	{ 0xd2510a63, "up_write" },
	{ 0xaa7326c7, "device_add" },
	{ 0xfdc1a29, "tty_ldisc_ref" },
	{ 0x1f3f46fc, "tty_vhangup" },
	{ 0x9a7fa50c, "irq_get_irq_data" },
	{ 0x233dbddd, "__tty_insert_flip_string_flags" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x7a6277cd, "tty_port_destroy" },
	{ 0xf7b8929b, "tty_port_init" },
	{ 0x85abc85f, "strncmp" },
	{ 0x3b8b505f, "seq_putc" },
	{ 0xf9a06e0e, "ida_free" },
	{ 0x84e2e0f, "driver_unregister" },
	{ 0x48b1c38f, "tty_ldisc_deref" },
	{ 0x88260af3, "device_find_child" },
	{ 0x3acc7dee, "mutex_lock_interruptible" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x17dadd46, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xa2331011, "tty_port_register_device_attr_serdev" },
	{ 0x7652c076, "tty_port_close" },
	{ 0x337842e5, "_dev_warn" },
	{ 0xaf8e0eba, "nbcon_release" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe798236d, "jiffies" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xdea4173, "_dev_notice" },
	{ 0xe7ac1dbe, "nbcon_acquire" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xb552aa86, "tty_register_driver" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x53bb1625, "tty_name" },
	{ 0x5641485b, "tty_termios_encode_baud_rate" },
	{ 0x56470118, "__warn_printk" },
	{ 0xef195888, "seq_printf" },
	{ 0xaa2dc72a, "tty_port_open" },
	{ 0xffae8e8b, "nsecs_to_jiffies" },
	{ 0x2b33cb57, "seq_puts" },
	{ 0xbfd9f046, "remove_wait_queue" },
	{ 0x14d7477f, "console_list_unlock" },
	{ 0x825d829c, "register_console" },
	{ 0x5e4619de, "kmalloc_trace" },
	{ 0xcdca3691, "nr_irqs" },
	{ 0x6f14e9db, "console_list_lock" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0x5224632b, "driver_register" },
	{ 0xf09b5d9a, "get_zeroed_page" },
	{ 0xf9a482f9, "msleep" },
	{ 0xda9502dd, "tty_driver_kref_put" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0x6c643196, "kmalloc_caches" },
	{ 0x166575f0, "bus_register" },
	{ 0xaedcd918, "tty_port_tty_get" },
	{ 0x377278c, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "8FE3702B3092D90D95E4A65");
MODULE_INFO(rhelversion, "9.6");
