#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(synproxy_net_id, "_gpl", "");
KSYMTAB_FUNC(synproxy_parse_options, "_gpl", "");
KSYMTAB_FUNC(synproxy_init_timestamp_cookie, "_gpl", "");
KSYMTAB_FUNC(synproxy_send_client_synack, "_gpl", "");
KSYMTAB_FUNC(synproxy_recv_client_ack, "_gpl", "");
KSYMTAB_FUNC(ipv4_synproxy_hook, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv4_init, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv4_fini, "_gpl", "");
KSYMTAB_FUNC(synproxy_send_client_synack_ipv6, "_gpl", "");
KSYMTAB_FUNC(synproxy_recv_client_ack_ipv6, "_gpl", "");
KSYMTAB_FUNC(ipv6_synproxy_hook, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv6_init, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv6_fini, "_gpl", "");

SYMBOL_CRC(synproxy_net_id, 0xca9fc082, "_gpl");
SYMBOL_CRC(synproxy_parse_options, 0xf4aa5340, "_gpl");
SYMBOL_CRC(synproxy_init_timestamp_cookie, 0x1f099794, "_gpl");
SYMBOL_CRC(synproxy_send_client_synack, 0xa6699332, "_gpl");
SYMBOL_CRC(synproxy_recv_client_ack, 0xebd5939b, "_gpl");
SYMBOL_CRC(ipv4_synproxy_hook, 0x35f2a50f, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv4_init, 0x61a20a80, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv4_fini, 0x729bbe91, "_gpl");
SYMBOL_CRC(synproxy_send_client_synack_ipv6, 0x140b67ab, "_gpl");
SYMBOL_CRC(synproxy_recv_client_ack_ipv6, 0x7e4ab785, "_gpl");
SYMBOL_CRC(ipv6_synproxy_hook, 0x0fcaa587, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv6_init, 0xcb6705cc, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv6_fini, 0xd85eb1dd, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x929b3f71, "register_pernet_subsys" },
	{ 0xef195888, "seq_printf" },
	{ 0x2b33cb57, "seq_puts" },
	{ 0xb78fa9d6, "unregister_pernet_subsys" },
	{ 0xee8dc0b2, "nf_register_net_hooks" },
	{ 0xfbc364e5, "nf_unregister_net_hooks" },
	{ 0x57e657a0, "remove_proc_entry" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xbf9adffa, "security_skb_classify_flow" },
	{ 0xed54f1c, "__nf_ip6_route" },
	{ 0xab26c60d, "sk_skb_reason_drop" },
	{ 0x89080830, "xfrm_lookup" },
	{ 0x95fab982, "ip6_local_out" },
	{ 0x9891d1c3, "skb_ensure_writable" },
	{ 0xfe21c390, "inet_proto_csum_replace4" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0xcbd303e1, "nf_ct_tmpl_alloc" },
	{ 0xdc80440a, "nf_ct_ext_add" },
	{ 0x55f2580b, "__alloc_percpu" },
	{ 0x4e4e9707, "proc_create_net_data" },
	{ 0x6008bdde, "nf_ct_tmpl_free" },
	{ 0x88e96ee3, "skb_copy_bits" },
	{ 0x7530556e, "ip_route_me_harder" },
	{ 0xa39b6c05, "ip_local_out" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0x23f4107c, "__alloc_skb" },
	{ 0x1918fec4, "skb_put" },
	{ 0xb6088146, "__cookie_v4_init_sequence" },
	{ 0xe31d93a3, "__cookie_v6_init_sequence" },
	{ 0xfdfefb5e, "__cookie_v4_check" },
	{ 0x66df0d36, "__cookie_v6_check" },
	{ 0xac6fcd59, "ipv6_skip_exthdr" },
	{ 0xe186116a, "nf_ct_seqadj_init" },
	{ 0x7a860ec3, "consume_skb" },
	{ 0x377278c, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack");


MODULE_INFO(srcversion, "7F576D24BD6825D4349A67E");
MODULE_INFO(rhelversion, "9.6");
