#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(virtio_transport_deliver_tap_pkt, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_inc_tx_pkt, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_get_credit, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_put_credit, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_seqpacket_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_seqpacket_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_has_data, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_seqpacket_has_data, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_has_space, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_do_socket_init, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_buffer_size, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_poll_in, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_poll_out, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_init, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_pre_block, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_pre_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_post_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_init, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_pre_block, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_pre_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_post_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_rcvhiwat, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_is_active, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_allow, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_bind, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_allow, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_connect, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_shutdown, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_destruct, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_release, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_recv_pkt, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_purge_skbs, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_read_skb, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_set_rcvlowat, "_gpl", "");

SYMBOL_CRC(virtio_transport_deliver_tap_pkt, 0xbf00eeb4, "_gpl");
SYMBOL_CRC(virtio_transport_inc_tx_pkt, 0x75d78f94, "_gpl");
SYMBOL_CRC(virtio_transport_get_credit, 0x78dcf8a0, "_gpl");
SYMBOL_CRC(virtio_transport_put_credit, 0x05b49149, "_gpl");
SYMBOL_CRC(virtio_transport_stream_dequeue, 0x1b45c9f1, "_gpl");
SYMBOL_CRC(virtio_transport_seqpacket_dequeue, 0x117b952a, "_gpl");
SYMBOL_CRC(virtio_transport_seqpacket_enqueue, 0x45d12b4c, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_dequeue, 0x88b352e2, "_gpl");
SYMBOL_CRC(virtio_transport_stream_has_data, 0xe3226627, "_gpl");
SYMBOL_CRC(virtio_transport_seqpacket_has_data, 0x62aa76de, "_gpl");
SYMBOL_CRC(virtio_transport_stream_has_space, 0xd3aae5a6, "_gpl");
SYMBOL_CRC(virtio_transport_do_socket_init, 0xd4533533, "_gpl");
SYMBOL_CRC(virtio_transport_notify_buffer_size, 0x6651b3fc, "_gpl");
SYMBOL_CRC(virtio_transport_notify_poll_in, 0x517507dd, "_gpl");
SYMBOL_CRC(virtio_transport_notify_poll_out, 0xaaf66cfe, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_init, 0xe959614b, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_pre_block, 0xe6320b79, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_pre_dequeue, 0x9dbfc9f6, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_post_dequeue, 0x5c8f65b2, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_init, 0x4f5f57bd, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_pre_block, 0xfbd81b3f, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_pre_enqueue, 0x814883ba, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_post_enqueue, 0xf586df66, "_gpl");
SYMBOL_CRC(virtio_transport_stream_rcvhiwat, 0x1380e2d1, "_gpl");
SYMBOL_CRC(virtio_transport_stream_is_active, 0x81798b5d, "_gpl");
SYMBOL_CRC(virtio_transport_stream_allow, 0x03a81e69, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_bind, 0x9c8ccb1a, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_allow, 0xbabd30f5, "_gpl");
SYMBOL_CRC(virtio_transport_connect, 0x4a7a51ce, "_gpl");
SYMBOL_CRC(virtio_transport_shutdown, 0xad544e67, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_enqueue, 0xca73da78, "_gpl");
SYMBOL_CRC(virtio_transport_stream_enqueue, 0x4059dbd5, "_gpl");
SYMBOL_CRC(virtio_transport_destruct, 0xa0fb9409, "_gpl");
SYMBOL_CRC(virtio_transport_release, 0xdab87e9f, "_gpl");
SYMBOL_CRC(virtio_transport_recv_pkt, 0xb297d6b0, "_gpl");
SYMBOL_CRC(virtio_transport_purge_skbs, 0x666512ee, "_gpl");
SYMBOL_CRC(virtio_transport_read_skb, 0x872013d8, "_gpl");
SYMBOL_CRC(virtio_transport_notify_set_rcvlowat, 0x9dff3671, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf561a0a2, "vsock_enqueue_accept" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xc0c4be1b, "vsock_insert_connected" },
	{ 0x1918fec4, "skb_put" },
	{ 0x7a860ec3, "consume_skb" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x3963de6f, "trace_raw_output_prep" },
	{ 0x68c1e720, "vsock_remove_sock" },
	{ 0x8965b96, "trace_event_printf" },
	{ 0x40ce5e82, "vsock_deliver_tap" },
	{ 0xcf55563b, "trace_event_raw_init" },
	{ 0xabe1431b, "trace_print_symbols_seq" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x7f4c565b, "add_wait_queue" },
	{ 0x75d06400, "event_triggers_call" },
	{ 0x9e671a9, "sk_error_report" },
	{ 0xe2e3b194, "trace_event_buffer_commit" },
	{ 0xf7d85cce, "vsock_find_bound_socket" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x25fc6e18, "trace_event_ignore_this_pid" },
	{ 0x3d4b0fca, "vsock_addr_init" },
	{ 0x23f4107c, "__alloc_skb" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x86bb6d4e, "perf_trace_run_bpf_submit" },
	{ 0xab26c60d, "sk_skb_reason_drop" },
	{ 0x14b8687f, "sk_free" },
	{ 0x358968f9, "trace_event_reg" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0xcca787bc, "__skb_recv_datagram" },
	{ 0xfca74260, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x355edceb, "vsock_stream_has_data" },
	{ 0xbf16b988, "skb_copy_datagram_iter" },
	{ 0xc3b7b189, "bpf_trace_run9" },
	{ 0xe3d58862, "vsock_find_connected_socket" },
	{ 0xc37eb51, "cancel_delayed_work" },
	{ 0x1bfc923f, "sock_efree" },
	{ 0x59d79d5, "bpf_trace_run10" },
	{ 0x342476aa, "vsock_core_get_transport" },
	{ 0x455ad688, "__zerocopy_sg_from_iter" },
	{ 0xfb773c32, "vsock_stream_has_space" },
	{ 0xa97a94dd, "skb_set_owner_w" },
	{ 0x24c5318, "trace_event_buffer_reserve" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x89a7e699, "_copy_from_iter" },
	{ 0xb308c97d, "wait_woken" },
	{ 0xbfd9f046, "remove_wait_queue" },
	{ 0x64b80705, "msg_zerocopy_realloc" },
	{ 0x5e4619de, "kmalloc_trace" },
	{ 0x70aac2e2, "vsock_create_connected" },
	{ 0x6a22ab00, "vsock_assign_transport" },
	{ 0x66f8cbeb, "iov_iter_revert" },
	{ 0xc755c93f, "trace_handle_return" },
	{ 0x415cac88, "iov_iter_npages" },
	{ 0x6c643196, "kmalloc_caches" },
	{ 0x3ed1ae0a, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xdb93afe, "vsock_data_ready" },
	{ 0x377278c, "module_layout" },
};

MODULE_INFO(depends, "vsock");


MODULE_INFO(srcversion, "2B7566CCC87CE1EBB7BB88E");
MODULE_INFO(rhelversion, "9.6");
